<section class="osahan-main-body">
    <div class="container">
        <div class="row d-flex align-items-center justify-content-center vh-100">
            <div class="landing-page shadow-sm bg-success col-lg-6">
                <a class="position-absolute btn-sm btn btn-outline-light m-4 zindex" href="home.html">Skip <i
                        class="icofont-bubble-right"></i></a>
                <div class="osahan-slider m-0 slick-initialized slick-slider slick-dotted">
                    <div class="slick-list draggable">
                        <div class="slick-track"
                            style="opacity: 1; width: 3199px; transform: translate3d(-457px, 0px, 0px);">
                            <div class="osahan-slider-item text-center slick-slide slick-cloned" data-slick-index="-1"
                                aria-hidden="true" style="width: 457px;" tabindex="-1">
                                <div class="d-flex align-items-center justify-content-center vh-100 flex-column">
                                    <i class="icofont-support-faq display-1 text-warning"></i>
                                    <h4 class="my-4 text-white">Easy Returns</h4>
                                    <p class="text-center text-white-50 mb-5 px-4">Not satisfied with a product?
                                        Return<br> it at the doorstep &amp; get a refund within hours.</p>
                                </div>
                            </div>
                            <div class="osahan-slider-item text-center slick-slide slick-current slick-active"
                                data-slick-index="0" aria-hidden="false" style="width: 457px;" tabindex="0"
                                role="tabpanel" id="slick-slide00" aria-describedby="slick-slide-control00">
                                <div class="d-flex align-items-center justify-content-center vh-100 flex-column">
                                    <i class="icofont-sale-discount display-1 text-warning"></i>
                                    <h4 class="my-4 text-white">Best Prices &amp; Offers</h4>
                                    <p class="text-center text-white-50 mb-5 px-4">Cheaper prices than your
                                        local<br>supermarket, great cashback offers to top it off.</p>
                                </div>
                            </div>
                            <div class="osahan-slider-item text-center slick-slide" data-slick-index="1"
                                aria-hidden="true" style="width: 457px;" tabindex="-1" role="tabpanel"
                                id="slick-slide01" aria-describedby="slick-slide-control01">
                                <div class="d-flex align-items-center justify-content-center vh-100 flex-column">
                                    <i class="icofont-cart display-1 text-warning"></i>
                                    <h4 class="my-4 text-white">Wide Assortment</h4>
                                    <p class="text-center text-white-50 mb-5 px-4">Choose from 5000+ products across
                                        food<br>, personal care, household &amp; other categories.</p>
                                </div>
                            </div>
                            <div class="osahan-slider-item text-center slick-slide" data-slick-index="2"
                                aria-hidden="true" style="width: 457px;" tabindex="-1" role="tabpanel"
                                id="slick-slide02" aria-describedby="slick-slide-control02">
                                <div class="d-flex align-items-center justify-content-center vh-100 flex-column">
                                    <i class="icofont-support-faq display-1 text-warning"></i>
                                    <h4 class="my-4 text-white">Easy Returns</h4>
                                    <p class="text-center text-white-50 mb-5 px-4">Not satisfied with a product?
                                        Return<br> it at the doorstep &amp; get a refund within hours.</p>
                                </div>
                            </div>
                            <div class="osahan-slider-item text-center slick-slide slick-cloned" data-slick-index="3"
                                aria-hidden="true" style="width: 457px;" tabindex="-1">
                                <div class="d-flex align-items-center justify-content-center vh-100 flex-column">
                                    <i class="icofont-sale-discount display-1 text-warning"></i>
                                    <h4 class="my-4 text-white">Best Prices &amp; Offers</h4>
                                    <p class="text-center text-white-50 mb-5 px-4">Cheaper prices than your
                                        local<br>supermarket, great cashback offers to top it off.</p>
                                </div>
                            </div>
                            <div class="osahan-slider-item text-center slick-slide slick-cloned" data-slick-index="4"
                                aria-hidden="true" style="width: 457px;" tabindex="-1">
                                <div class="d-flex align-items-center justify-content-center vh-100 flex-column">
                                    <i class="icofont-cart display-1 text-warning"></i>
                                    <h4 class="my-4 text-white">Wide Assortment</h4>
                                    <p class="text-center text-white-50 mb-5 px-4">Choose from 5000+ products across
                                        food<br>, personal care, household &amp; other categories.</p>
                                </div>
                            </div>
                            <div class="osahan-slider-item text-center slick-slide slick-cloned" data-slick-index="5"
                                aria-hidden="true" style="width: 457px;" tabindex="-1">
                                <div class="d-flex align-items-center justify-content-center vh-100 flex-column">
                                    <i class="icofont-support-faq display-1 text-warning"></i>
                                    <h4 class="my-4 text-white">Easy Returns</h4>
                                    <p class="text-center text-white-50 mb-5 px-4">Not satisfied with a product?
                                        Return<br> it at the doorstep &amp; get a refund within hours.</p>
                                </div>
                            </div>
                        </div>
                    </div>


                    <ul class="slick-dots"  role="tablist">
                        <li class="slick-active" role="presentation"><button type="button" role="tab"
                                id="slick-slide-control00" aria-controls="slick-slide00" aria-label="1 of 3"
                                tabindex="0" aria-selected="true">1</button></li>
                        <li role="presentation"><button type="button" role="tab" id="slick-slide-control01"
                                aria-controls="slick-slide01" aria-label="2 of 3" tabindex="-1">2</button></li>
                        <li role="presentation"><button type="button" role="tab" id="slick-slide-control02"
                                aria-controls="slick-slide02" aria-label="3 of 3" tabindex="-1">3</button></li>
                    </ul>
                </div>
            </div>
            <div class="col-lg-6 pl-lg-5">
                <div class="osahan-signup shadow bg-white p-4 rounded">
                    <div class="p-3">
                        <h2 class="my-0">Let's get started</h2>
                        <p class="small mb-4">Create account to see our top picks for you!</p>

                        <form [formGroup]="registerForm">



                            <div class="form-group">
                                <label for="exampleInputName1">firstName</label>
                                <input placeholder="firstName" formControlName="firstName"   type="text" class="form-control" id="exampleInputName1"
                                    aria-describedby="emailHelp">
                            </div>


                            <div class="form-group">
                                <label for="exampleInputNumber1"> lastName </label>
                                <input placeholder="lastName" formControlName="lastName" type="text" class="form-control"
                                    id="exampleInputNumber1" aria-describedby="emailHelp">
                            </div>


                            <div class="form-group">
                                <label for="exampleInputNumber1">Phone Number</label>
                                <input placeholder="tel" formControlName="tel" type="text" class="form-control"
                                    id="exampleInputNumber1" aria-describedby="emailHelp">
                            </div>


                            <div class="form-group">
                                <label for="exampleInputNumber1">Adresse</label>
                                <input placeholder="adresse" formControlName="adresse" type="text" class="form-control"
                                    id="exampleInputNumber1" aria-describedby="emailHelp">
                            </div>

                            <div class="form-group">
                                <label for="exampleInputNumber1">City</label>
                                <input placeholder="city" formControlName="city" type="city" class="form-control"
                                    id="exampleInputNumber1" aria-describedby="emailHelp">
                            </div>


                            <div class="form-group">
                                <label for="exampleInputNumber1">Country</label>
                                <input placeholder="country" formControlName="country" type="text" class="form-control"
                                    id="exampleInputNumber1" aria-describedby="emailHelp">
                            </div>


                            <div class="form-group">
                                <label for="exampleInputNumber1">State</label>
                                <input placeholder="state" formControlName="state" type="text" class="form-control"
                                    id="exampleInputNumber1" aria-describedby="emailHelp">
                            </div>



                            <div class="form-group">
                                <label for="exampleInputEmail1">Email</label>
                                <input placeholder="email" formControlName="email" type="text" class="form-control"
                                    id="exampleInputEmail1" aria-describedby="emailHelp">
                            </div>


                          

                            <div class="form-group">
                                <label for="exampleInputNumber1">Username</label>
                                <input placeholder="username" formControlName="username" type="text" class="form-control"
                                    id="exampleInputNumber1" aria-describedby="emailHelp">
                            </div>


                            <div class="form-group">
                                <label for="exampleInputPassword1">Password</label>
                                <input placeholder="password" formControlName="password" type="password" class="form-control"
                                    id="exampleInputPassword1">
                            </div>


                            <!-- <div class="form-group">
                                <label for="exampleInputPassword2">Confirmation Password</label>
                                <input placeholder="password" type="password" class="form-control"
                                    id="exampleInputPassword2">
                            </div> -->

                            Photo
                            <div class="group-input">
                                <input type="file" (change)="handleFileInput($event)"
                                name="file"  class="form-control form-control-user"
                                    id="exampleRepeatPassword" placeholder="file">
                            </div>


                            &nbsp; &nbsp; &nbsp; &nbsp;
                            
                            <button  class="btn btn-success rounded btn-lg btn-block" (click)="onsubmit()">Create
                                Account</button>
                        </form>
                        <p class="text-muted text-center small py-2 m-0">or</p>
                        <a href="verification.html" class="btn btn-dark btn-block rounded btn-lg btn-apple">
                            <i class="icofont-brand-apple mr-2"></i> Sign up with Apple
                        </a>
                        <a href="verification.html" class="btn btn-light border btn-block rounded btn-lg btn-google">
                            <i class="icofont-google-plus text-danger mr-2"></i> Sign up with Google
                        </a>
                        <p class="text-center mt-3 mb-0"><a href="signin.html" class="text-dark">Already have an
                                account! Sign in</a></p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>